MatrixResampleCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixResampleCommand:

## Public Member Functions

| MatrixResampleCommand (MatrixModel *model, const QSize &oldSize, const QSize &newSize, int method, double *data, const QString &text)
virtual void | redo ()
Public Member Functions inherited from MatrixSetSizeCommand
| MatrixSetSizeCommand (MatrixModel *model, const QSize &oldSize, const QSize &newSize, double *data, const QString &text)
virtual void | undo ()
| ~MatrixSetSizeCommand ()

## Private Attributes

int | d_method

## Additional Inherited Members

Protected Attributes inherited from MatrixSetSizeCommand
double * | d_backup
MatrixModel * | d_model
QSize | d_new_size
QSize | d_old_size

## Constructor & Destructor Documentation

MatrixResampleCommand::MatrixResampleCommand | ( | MatrixModel * | model,
|  | const QSize & | oldSize,
|  | const QSize & | newSize,
|  | int | method,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## Member Function Documentation

void MatrixResampleCommand::redo | ( |  | ) |

virtual

Reimplemented from MatrixSetSizeCommand.

References d_method, MatrixSetSizeCommand::d_model, MatrixSetSizeCommand::d_new_size, and MatrixModel::resample().

Referenced by Matrix::resample().

## Member Data Documentation

int MatrixResampleCommand::d_method

private

Referenced by redo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp